import 'dart:io';
import 'package:dio/src/dio_error.dart';
import 'package:flutter/cupertino.dart';
import 'package:pia_framework_base/API/PIA_API_Background.dart';
import 'package:pia_framework_base/Lang/PIA_Lang.dart';
import 'package:pia_framework_base/Popup/PIA_Alert.dart';
import 'package:pia_framework_base/Variable/PIA_Global.dart';
import 'package:url_launcher/url_launcher.dart';

class PIA_CheckVersion implements PIA_API_CallBack
{    static var run = false;
     var context;

     PIA_CheckVersion(BuildContext context,String url,String config_version)
     {  if(!run) {
         this.context = context;
         var post = {"lang": "${PIA_Lang.lang_id}","version_number":config_version};
         PIA_API_Background.Post(url, post, this);
         run = true;
       };
     }

  @override
  void API_Error(DioErrorType error) {
    // TODO: implement API_Error
  }

  @override
  Future API_Success(Map<String, dynamic> json, List j) async {
    // TODO: implement API_Success

    var action = await PIA_Alert.Twobutton(context, json["title"], json["message"], json["close"],json["update"]);
    if(action == PIA_Alert_Button.Button1)
      {  if(json["status"] == 2) { exit(0); }}
    else {
      if (Platform.isAndroid) {
        await launch(json["andriod"]); // Android-specific code
      } else if (Platform.isIOS) {
        await launch(json["ios"]);
      }
      exit(0);
    }
   }

  @override
  void API_Upload_prodcess(int upload, int total) {
    // TODO: implement API_Upload_prodcess
  }
}