import 'package:flutter/material.dart';

class PIA_DropDownMenu_CallBack
{   DropDownMenu_ChangeValue(String value,int index) {}
}

class PIA_DropDownMenu extends StatefulWidget
{    List<String> item;
     int select_id = 0;

     PIA_DropDownMenu_CallBack callback;
     TextEditingController textcontroller;

     PIA_DropDownMenu({@required this.item,this.select_id,this.callback,this.textcontroller});

     _PIA_DropDownMenu_State createState()
     {  return _PIA_DropDownMenu_State(); }
}



// #docregion print-state
class _PIA_DropDownMenu_State extends State<PIA_DropDownMenu> {

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    print(widget.item.toString() + ":"  + widget.item[0].toString());
    var id = -1;
    if(widget.textcontroller != null)
      {  widget.textcontroller.text = "${widget.select_id}"; }

    return DropdownButtonHideUnderline(
      child: new DropdownButton<String>(
        value: widget.item[widget.select_id],
        underline: null,
        onChanged: (String newValue) {
          setState(() {
               print(widget.item.indexOf(newValue));
               widget.select_id = widget.item.indexOf(newValue);
               if(widget.callback != null)
                 { widget.callback.DropDownMenu_ChangeValue(newValue, widget.select_id); }
               if(widget.textcontroller != null)
                 { widget.textcontroller.text = "${widget.select_id}"; }
          });
        },
        items: widget.item
            .map<DropdownMenuItem<String>>((String value) {
          id =  id + 1;
          print("Value $value");
          return DropdownMenuItem<String>(
            value: value,
            child: Text(value),
          );
        })
            .toList(),

      ),
    );

  }


}