import 'package:flutter/material.dart';
import 'package:carousel_pro/carousel_pro.dart';

class PIA_ImageSwapView extends StatelessWidget {
  List<String> imagepath;
  PIA_ImageSwapView({Key key, this.imagepath}): super(key: key);

  @override
  Widget build(BuildContext context) {

    return new SizedBox(
        width: double.infinity,
        height: 300.0,
        child: new Carousel(
            images: imagepath.map((path) => new NetworkImage(path)).toList(),
            dotIncreaseSize: 1.5,
       )
    );
  }
}

