
import 'package:pia_framework_base/Variable/PIA_LocalValue.dart';

class PIA_Lang
{  static String lang_id = "0";
   static String eng = "1";
   static String chi = "2";

   static Map LangStr = Map();

   static Map String_Chi = Map();
   static Map String_Eng = Map();

static void init(String default_lang_id,) {

  String local_lang = PIA_LocalValue.get("lang_id");
  print("Local lang ${local_lang}");

  if(local_lang == "1" || local_lang == "2")
  {  lang_id = local_lang; }
  else
  {  PIA_LocalValue.set("lang_id",default_lang_id);
  lang_id = default_lang_id;
  }

  switch(lang_id)
  {  case "1":
    LangStr = String_Eng;
    break;

    case "2":
      LangStr = String_Chi;
      break;
  }
}

static void Set_Chi()
{  lang_id = "2";
LangStr = String_Chi;
PIA_LocalValue.set("lang_id",lang_id);
}

static void Set_Eng()
{ lang_id = "1";
LangStr = String_Eng;
PIA_LocalValue.set("lang_id",lang_id);
}

static String get(String str)
{  return LangStr[str] ?? 'Lang ${str} error';
}

}