import 'dart:async';
import 'package:pia_framework_base/Popup/PIA_Alert.dart';

class PIA_TimerCallBack
{   void time_finish(){}
    void time_runing(int sec){}
}


class PIA_Timer
{
     Timer time;
     int runsec = 0;
     PIA_TimerCallBack callback;

     PIA_Timer(this.callback);

     void start(int seconds)
     {   if(time != null) { time.cancel(); }
         runsec = seconds;
         if(callback == null)
            {  print("PIA_Timer : CallBack is Null"); return; }
         time = new Timer(const Duration(seconds: 1), _handletimer);
     }

     void _handletimer()
     {  runsec = runsec - 1;
        if(runsec <= 0 )
            {  runsec = 0;
               callback.time_finish(); }
        else
            {  callback.time_runing(runsec);
               time = new Timer(const Duration(seconds: 1), _handletimer);
            }
     }

     void stop() {
       if (time != null) {
         time.cancel();
       }
     }
}