import 'package:dio/dio.dart';

const Map<String, String> api_connect_server_error = {'1': 'Server Error', '2': '伺服器錯誤'};
const Map<String, String> api_connect_error_title = {'1': 'Server Connect Error', '2': '伺服器連接錯誤'};
const Map<String, String> api_connect_error_content = {'1': ' Reconnect Server ?', '2': '是否再重新連接?'};
const Map<String, String> api_connect_error_slow = {'1': ' The network is very slow !', '2': '網絡非常緩慢 !'};
const Map<String, String> api_connect_slow_continue = {'1': 'Whether to continue execution? ', '2': '是否繼續執行?'};
const Map<String, String> api_continue = {'1': 'Continue', '2': '繼續'};
const Map<String, String> api_cancel = {'1': 'Cancel', '2': '取消'};
const Map<String, String> api_retry = {'1': ' Retry ', '2': ' 重試 '};
const Map<String, String> api_error = {'1': ' Error ', '2': ' 錯誤 '};
const Map<String, String> api_uploading = {'1': 'Uploading...', '2': '上載進行中...'};
const Map<String, String> api_loading = {'1': 'Loading...', '2': '戴入中...'};
const Map<String, String> api_nonetwork = {'1': 'No internet connection', '2': '沒有網際網路連線'};
const Map<String, String> api_program_error = {'1': 'API Error', '2': 'API 發生錯誤'};
const Map<String, String> api_link_error = {'1': 'API URL Error', '2': 'API 網址連接錯誤'};
const Map<String, String> api_status_error = {'1': 'API Status Error', '2': 'API Status Error'};
const Map<String, String> tableview_nodata = {'1': 'No Data', '2': '沒有資料'};
const Map<String, String> lang_photo = {'1': 'Photo', '2': '相片'};
const Map<String, String> lang_type_message = {'1': 'Type Message', '2': '輸入信息'};
const Map<String, String> lang_cancel = {'1': 'Cancel', '2': '取 消'};
const Map<String, String> lang_ok = {'1': 'OK', '2': 'OK'};
const Map<String, String> lang_close = {'1': 'Close', '2': '關 閉'};
const Map<String, String> lang_confirm = {'1': 'Confirm', '2': '確 定'};
const Map<String, String> lang_yes = {'1': 'Yes', '2': '是'};
const Map<String, String> lang_no = {'1': 'No', '2': '否'};

const Map<String, String> camera = {'1': 'Camera', '2': '相機'};
const Map<String, String> photo = {'1': 'Gallery', '2': '相片庫'};
const Map<String, String> file = {'1': 'File', '2': '檔案'};

const int connectTimeout = 5000;
const int receiveTimeout = 15000;

class PIA_API_CallBack
{ static const Error_nonetwork =  DioErrorType.connectTimeout;
  static const Error_timeout =  DioErrorType.receiveTimeout;
  static const Error_APILink_Error =  DioErrorType.response;
  static const Error_API_Return_Error =  DioErrorType.other;

  void API_Success(Map<String,dynamic> json, List<dynamic> j){}
  void API_Upload_prodcess(int upload,int total){}
  void API_Error( DioErrorType error){}
}
